package org.dromara.ems.info.domain;

import cn.idev.excel.annotation.ExcelIgnoreUnannotated;
import cn.idev.excel.annotation.ExcelProperty;
import cn.idev.excel.annotation.format.DateTimeFormat;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 动力能源部监督检查清单对象 power_energy_supervision_checklist
 * 
 * @author Yinq
 * @date 2025-06-05
 */
@ExcelIgnoreUnannotated
public class PowerEnergySupervisionChecklist extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键，自增ID */
    private Long id;

    /** 日期 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "日期")
    private String date;

    /** 作业类别 */
    @ExcelProperty(value = "作业类别")
    private String jobCategory;

    /** 作业单位 */
    @ExcelProperty(value = "作业单位")
    private String jobUnit;

    /** 作业名称 */
    @ExcelProperty(value = "作业名称")
    private String jobName;

    /** 作业风险 */
    @ExcelProperty(value = "作业风险")
    private String jobRisk;

    /** 风险管控措施 */
    @ExcelProperty(value = "风险管控措施")
    private String riskControlMeasures;

    /** 监督检查层级 */
    @ExcelProperty(value = "监督检查层级")
    private String supervisionLevel;

    /** 监督检查落实情况 */
    @ExcelProperty(value = "监督检查落实情况")
    private String supervisionImplementation;

    /** 作业科室 */
    @ExcelProperty(value = "作业科室")
    private String jobDepartment;

    /** 监管人员 */
    @ExcelProperty(value = "监管人员")
    private String regulatoryPersonnel;

    /** 检查人员 */
    @ExcelProperty(value = "检查人员")
    private String inspectionPersonnel;

    /** 检查出的问题 */
    @ExcelProperty(value = "检查出的问题")
    private String problemsFound;

    /** 外包单位责任人 */
    @ExcelProperty(value = "外包单位责任人")
    private String outsourcingUnitResponsiblePerson;

    /** 工单变更内容 */
    @ExcelProperty(value = "工单变更内容")
    private String workOrderChangeContent;

    /** 本工单是否闭环 */
    @ExcelProperty(value = "本工单是否闭环")
    private String isWorkOrderclosedLoop;

    /** 备注 */
    @ExcelProperty(value = "备注")
    private String remarks;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDate(String date) 
    {
        this.date = date;
    }

    public String getDate() 
    {
        return date;
    }
    public void setJobCategory(String jobCategory) 
    {
        this.jobCategory = jobCategory;
    }

    public String getJobCategory() 
    {
        return jobCategory;
    }
    public void setJobUnit(String jobUnit) 
    {
        this.jobUnit = jobUnit;
    }

    public String getJobUnit() 
    {
        return jobUnit;
    }
    public void setJobName(String jobName) 
    {
        this.jobName = jobName;
    }

    public String getJobName() 
    {
        return jobName;
    }
    public void setJobRisk(String jobRisk) 
    {
        this.jobRisk = jobRisk;
    }

    public String getJobRisk() 
    {
        return jobRisk;
    }
    public void setRiskControlMeasures(String riskControlMeasures) 
    {
        this.riskControlMeasures = riskControlMeasures;
    }

    public String getRiskControlMeasures() 
    {
        return riskControlMeasures;
    }
    public void setSupervisionLevel(String supervisionLevel) 
    {
        this.supervisionLevel = supervisionLevel;
    }

    public String getSupervisionLevel() 
    {
        return supervisionLevel;
    }
    public void setSupervisionImplementation(String supervisionImplementation) 
    {
        this.supervisionImplementation = supervisionImplementation;
    }

    public String getSupervisionImplementation() 
    {
        return supervisionImplementation;
    }
    public void setJobDepartment(String jobDepartment) 
    {
        this.jobDepartment = jobDepartment;
    }

    public String getJobDepartment() 
    {
        return jobDepartment;
    }
    public void setRegulatoryPersonnel(String regulatoryPersonnel) 
    {
        this.regulatoryPersonnel = regulatoryPersonnel;
    }

    public String getRegulatoryPersonnel() 
    {
        return regulatoryPersonnel;
    }
    public void setInspectionPersonnel(String inspectionPersonnel) 
    {
        this.inspectionPersonnel = inspectionPersonnel;
    }

    public String getInspectionPersonnel() 
    {
        return inspectionPersonnel;
    }
    public void setProblemsFound(String problemsFound) 
    {
        this.problemsFound = problemsFound;
    }

    public String getProblemsFound() 
    {
        return problemsFound;
    }
    public void setOutsourcingUnitResponsiblePerson(String outsourcingUnitResponsiblePerson) 
    {
        this.outsourcingUnitResponsiblePerson = outsourcingUnitResponsiblePerson;
    }

    public String getOutsourcingUnitResponsiblePerson() 
    {
        return outsourcingUnitResponsiblePerson;
    }
    public void setWorkOrderChangeContent(String workOrderChangeContent) 
    {
        this.workOrderChangeContent = workOrderChangeContent;
    }

    public String getWorkOrderChangeContent() 
    {
        return workOrderChangeContent;
    }
    public void setIsWorkOrderclosedLoop(String isWorkOrderclosedLoop) 
    {
        this.isWorkOrderclosedLoop = isWorkOrderclosedLoop;
    }

    public String getIsWorkOrderclosedLoop() 
    {
        return isWorkOrderclosedLoop;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("date", getDate())
            .append("jobCategory", getJobCategory())
            .append("jobUnit", getJobUnit())
            .append("jobName", getJobName())
            .append("jobRisk", getJobRisk())
            .append("riskControlMeasures", getRiskControlMeasures())
            .append("supervisionLevel", getSupervisionLevel())
            .append("supervisionImplementation", getSupervisionImplementation())
            .append("jobDepartment", getJobDepartment())
            .append("regulatoryPersonnel", getRegulatoryPersonnel())
            .append("inspectionPersonnel", getInspectionPersonnel())
            .append("problemsFound", getProblemsFound())
            .append("outsourcingUnitResponsiblePerson", getOutsourcingUnitResponsiblePerson())
            .append("workOrderChangeContent", getWorkOrderChangeContent())
            .append("isWorkOrderclosedLoop", getIsWorkOrderclosedLoop())
            .append("remarks", getRemarks())
            .toString();
    }
}
